####################
# ## PARAMETERS ## #
####################

config = {
  # paths for connecting to cloud storage
  "vm_path": 'ebm-life-cycle/',
  "gs_path": 'gen-tfrc-uscentral1',
  "exp_name": 'imagenet_longrun_test',
  "exp_dir": 'tfrc_out/fid',

  # device type ('tpu' or 'gpu' or 'cpu')
  "device_type": 'tpu',
  # number of gpus if using gpu device
  #'num_gpus': 1,

  # exp params
  "exp_type": "folder",
  "num_fid_rounds": 1,
  "batch_size": 16,
  "image_dims": [64, 64, 3],
  "split": "train",
  #"transform_type": "train",

  # ckpt folder
  "ckpt_folder": 'gs://gen-tfrc-uscentral1/tfrc_out/imagenet2012/nonconv_resnet_21-09-18-07-11-53',
  "epoch_freq": 5000,
  "min_epoch": 5000,
  "max_epoch": 145000,

  # data type and augmentation parameters
  "data_type": 'imagenet2012',
  "random_crop": False,
 
  # ebm network
  "net_type": 'ebm_sngan',

  # prior network parameters
  "prior_weights": "gs://gen-tfrc-uscentral1/tfrc_out/imagenet2012/medconv_resnet_21-09-18-00-31-46/checkpoints/ebm_100000.ckpt",
  "prior_temp": 1e-5,

  # langevin sampling parameters
  "mcmc_steps": 1000000,
  "epsilon": 1e-2,
  "mcmc_init": "coop",
  "mcmc_temp": 1e-5,
  "tau": 1.5e-1,
  "joint_temp": 1.0,
  # clipping parameters
  "clip_langevin_grad": False,
  "max_langevin_norm": 100,

  "gen_type": "gen_biggan_cond",
  "z_sz": 128,
  "fixed_gen": True,
  "gen_weights": 'gs://gen-tfrc-europewest4/imagenet_biggan_cond_tf2/weights', # update this
}
